SLA
SLA templates and contracts.
12 endpoints · Plakar Control Plane v0.18 · Base URL, authentication and errors
List the SLAs
/api/v1/account/organizations/{id}/slas
Path parameters
-
idstring<uuid> requiredOrganization ID, at or below the caller’s.
Query parameters
-
searchstringFree-text search on SLA names. -
statusstringOnly SLAs in this state.Allowed: active, draft -
offsetintegerNumber of items to skip.Default: 0 -
limitintegerMaximum number of items to return.Default: 20
Response 200 OK application/json
-
itemsarray[object]-
check_historyarray[object]-
datestring<date-time> -
statusstring
-
-
compliance_ratenumber<double> -
connectorsinteger -
idstring<uuid> -
last_checked_atstring<date-time> nullable -
lookbackobject-
unitstring -
valueinteger
-
-
namestring -
resourcesinteger -
rpoobject-
unitstring -
valueinteger
-
-
statusstring
-
-
totalinteger
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl 'https://pcp.example.com/api/v1/account/organizations/{id}/slas' \
-H 'Authorization: Bearer <badge>'Response 200
{
"items": [
{
"check_history": [
{
"date": "2026-01-01T00:00:00Z",
"status": "string"
}
],
"compliance_rate": 0,
"connectors": 0,
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"last_checked_at": "2026-01-01T00:00:00Z",
"lookback": {
"unit": "string",
"value": 0
},
"name": "string",
"resources": 0,
"rpo": {
"unit": "string",
"value": 0
},
"status": "string"
}
],
"total": 0
}List the SLA contracts
/api/v1/account/organizations/{id}/slas/contracts
Path parameters
-
idstring<uuid> requiredOrganization ID, at or below the caller’s.
Response 200 OK application/json
-
contractsarray[object]-
created_atstring<date-time> -
idstring<uuid> -
source_idstring<uuid> -
template_idstring<uuid> -
updated_atstring<date-time>
-
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl 'https://pcp.example.com/api/v1/account/organizations/{id}/slas/contracts' \
-H 'Authorization: Bearer <badge>'Response 200
{
"contracts": [
{
"created_at": "2026-01-01T00:00:00Z",
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"source_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"template_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"updated_at": "2026-01-01T00:00:00Z"
}
]
}Create an SLA contract
/api/v1/account/organizations/{id}/slas/contracts
Path parameters
-
idstring<uuid> requiredOrganization ID, at or below the caller’s.
Request body application/json required
-
created_atstring<date-time> -
idstring<uuid> -
source_idstring<uuid> -
template_idstring<uuid> -
updated_atstring<date-time>
Response 200 OK application/json
-
created_atstring<date-time> -
idstring<uuid> -
source_idstring<uuid> -
template_idstring<uuid> -
updated_atstring<date-time>
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl -X POST 'https://pcp.example.com/api/v1/account/organizations/{id}/slas/contracts' \
-H 'Authorization: Bearer <badge>' \
-H 'Content-Type: application/json' \
-d '{
"created_at": "2026-01-01T00:00:00Z",
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"source_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"template_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"updated_at": "2026-01-01T00:00:00Z"
}'Response 200
{
"created_at": "2026-01-01T00:00:00Z",
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"source_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"template_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"updated_at": "2026-01-01T00:00:00Z"
}Get an SLA contract
/api/v1/account/organizations/{id}/slas/contracts/{contract_id}
Path parameters
-
idstring<uuid> requiredOrganization ID, at or below the caller’s. -
contract_idstring required
Response 200 OK application/json
-
created_atstring<date-time> -
idstring<uuid> -
source_idstring<uuid> -
template_idstring<uuid> -
updated_atstring<date-time>
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl 'https://pcp.example.com/api/v1/account/organizations/{id}/slas/contracts/{contract_id}' \
-H 'Authorization: Bearer <badge>'Response 200
{
"created_at": "2026-01-01T00:00:00Z",
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"source_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"template_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"updated_at": "2026-01-01T00:00:00Z"
}Delete an SLA contract
/api/v1/account/organizations/{id}/slas/contracts/{contract_id}
Path parameters
-
idstring<uuid> requiredOrganization ID, at or below the caller’s. -
contract_idstring required
Response 200 OK application/json
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl -X DELETE 'https://pcp.example.com/api/v1/account/organizations/{id}/slas/contracts/{contract_id}' \
-H 'Authorization: Bearer <badge>'Response 200
{}List the resources an SLA would match
/api/v1/account/organizations/{id}/slas/resources
Path parameters
-
idstring<uuid> requiredOrganization ID, at or below the caller’s.
Query parameters
-
data_classesarray[string]Only resources of these data classes. -
tagsarray[string]Only resources with these tags. -
searchstringFree-text search on resources. -
environmentstringOnly resources of this environment. -
inventorystring<uuid>Only resources of this inventory. -
offsetintegerNumber of items to skip.Default: 0 -
limitintegerMaximum number of items to return.Default: 100 Min: 1 Max: 100
Response 200 OK application/json
-
itemsarray[object]-
connectorsarray[object]-
idstring<uuid> -
integrationNamestring -
namestring -
typestring
-
-
inventoryobject-
idstring<uuid> -
namestring -
typestring
-
-
resourceobject-
classstring -
idstring<uuid> -
namestring -
urnstring -
urn_idstring<uuid>
-
-
-
totalinteger
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl 'https://pcp.example.com/api/v1/account/organizations/{id}/slas/resources' \
-H 'Authorization: Bearer <badge>'Response 200
{
"items": [
{
"connectors": [
{
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"integrationName": "string",
"name": "string",
"type": "string"
}
],
"inventory": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"name": "string",
"type": "string"
},
"resource": {
"class": "string",
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"name": "string",
"urn": "string",
"urn_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
}
}
],
"total": 0
}List the SLA templates
/api/v1/account/organizations/{id}/slas/templates
Path parameters
-
idstring<uuid> requiredOrganization ID, at or below the caller’s.
Response 200 OK application/json
-
templatesarray[object]-
created_atstring<date-time> -
data_classesarray[string] nullable -
drillsarray[object] nullable-
typestring
-
-
environmentstring -
idstring<uuid> -
namestring -
revisioninteger -
revision_maxinteger -
statusstring -
tagsarray[string] nullable -
temporalitiesmap[object] nullable-
created_atstring<date-time> -
frequencyinteger -
idstring<uuid> -
replicasmap[array[object]] nullable -
retentioninteger -
start_timestring<date-time> -
storage_tierstring nullable -
store_idstring<uuid> -
updated_atstring<date-time>
-
-
updated_atstring<date-time>
-
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl 'https://pcp.example.com/api/v1/account/organizations/{id}/slas/templates' \
-H 'Authorization: Bearer <badge>'Response 200
{
"templates": [
{
"created_at": "2026-01-01T00:00:00Z",
"data_classes": [
"string"
],
"drills": [
{
"type": "string"
}
],
"environment": "string",
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"name": "string",
"revision": 0,
"revision_max": 0,
"status": "string",
"tags": [
"string"
],
"temporalities": {
"key": {
"created_at": "2026-01-01T00:00:00Z",
"frequency": 0,
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"replicas": {
"key": [
{
"created_at": "2026-01-01T00:00:00Z",
"from": 0,
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"residency": "string",
"to": 0,
"updated_at": "2026-01-01T00:00:00Z"
}
]
},
"retention": 0,
"start_time": "2026-01-01T00:00:00Z",
"storage_tier": "string",
"store_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"updated_at": "2026-01-01T00:00:00Z"
}
},
"updated_at": "2026-01-01T00:00:00Z"
}
]
}Create an SLA template
/api/v1/account/organizations/{id}/slas/templates
Path parameters
-
idstring<uuid> requiredOrganization ID, at or below the caller’s.
Request body application/json required
-
created_atstring<date-time> -
data_classesarray[string] nullable -
drillsarray[object] nullable-
typestring
-
-
environmentstring -
idstring<uuid> -
namestring -
revisioninteger -
revision_maxinteger -
statusstring -
tagsarray[string] nullable -
temporalitiesmap[object] nullable-
created_atstring<date-time> -
frequencyinteger -
idstring<uuid> -
replicasmap[array[object]] nullable -
retentioninteger -
start_timestring<date-time> -
storage_tierstring nullable -
store_idstring<uuid> -
updated_atstring<date-time>
-
-
updated_atstring<date-time>
Response 200 OK application/json
-
created_atstring<date-time> -
data_classesarray[string] nullable -
drillsarray[object] nullable-
typestring
-
-
environmentstring -
idstring<uuid> -
namestring -
revisioninteger -
revision_maxinteger -
statusstring -
tagsarray[string] nullable -
temporalitiesmap[object] nullable-
created_atstring<date-time> -
frequencyinteger -
idstring<uuid> -
replicasmap[array[object]] nullable -
retentioninteger -
start_timestring<date-time> -
storage_tierstring nullable -
store_idstring<uuid> -
updated_atstring<date-time>
-
-
updated_atstring<date-time>
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl -X POST 'https://pcp.example.com/api/v1/account/organizations/{id}/slas/templates' \
-H 'Authorization: Bearer <badge>' \
-H 'Content-Type: application/json' \
-d '{
"created_at": "2026-01-01T00:00:00Z",
"data_classes": [
"string"
],
"drills": [
{
"type": "string"
}
],
"environment": "string",
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"name": "string",
"revision": 0,
"revision_max": 0,
"status": "string",
"tags": [
"string"
],
"temporalities": {
"key": {
"created_at": "2026-01-01T00:00:00Z",
"frequency": 0,
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"replicas": {
"key": [
{
"created_at": "2026-01-01T00:00:00Z",
"from": 0,
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"residency": "string",
"to": 0,
"updated_at": "2026-01-01T00:00:00Z"
}
]
},
"retention": 0,
"start_time": "2026-01-01T00:00:00Z",
"storage_tier": "string",
"store_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"updated_at": "2026-01-01T00:00:00Z"
}
},
"updated_at": "2026-01-01T00:00:00Z"
}'Response 200
{
"created_at": "2026-01-01T00:00:00Z",
"data_classes": [
"string"
],
"drills": [
{
"type": "string"
}
],
"environment": "string",
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"name": "string",
"revision": 0,
"revision_max": 0,
"status": "string",
"tags": [
"string"
],
"temporalities": {
"key": {
"created_at": "2026-01-01T00:00:00Z",
"frequency": 0,
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"replicas": {
"key": [
{
"created_at": "2026-01-01T00:00:00Z",
"from": 0,
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"residency": "string",
"to": 0,
"updated_at": "2026-01-01T00:00:00Z"
}
]
},
"retention": 0,
"start_time": "2026-01-01T00:00:00Z",
"storage_tier": "string",
"store_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"updated_at": "2026-01-01T00:00:00Z"
}
},
"updated_at": "2026-01-01T00:00:00Z"
}Get an SLA template
/api/v1/account/organizations/{id}/slas/templates/{template_id}
Path parameters
-
idstring<uuid> requiredOrganization ID, at or below the caller’s. -
template_idstring required
Response 200 OK application/json
-
created_atstring<date-time> -
data_classesarray[string] nullable -
drillsarray[object] nullable-
typestring
-
-
environmentstring -
idstring<uuid> -
namestring -
revisioninteger -
revision_maxinteger -
statusstring -
tagsarray[string] nullable -
temporalitiesmap[object] nullable-
created_atstring<date-time> -
frequencyinteger -
idstring<uuid> -
replicasmap[array[object]] nullable -
retentioninteger -
start_timestring<date-time> -
storage_tierstring nullable -
store_idstring<uuid> -
updated_atstring<date-time>
-
-
updated_atstring<date-time>
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl 'https://pcp.example.com/api/v1/account/organizations/{id}/slas/templates/{template_id}' \
-H 'Authorization: Bearer <badge>'Response 200
{
"created_at": "2026-01-01T00:00:00Z",
"data_classes": [
"string"
],
"drills": [
{
"type": "string"
}
],
"environment": "string",
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"name": "string",
"revision": 0,
"revision_max": 0,
"status": "string",
"tags": [
"string"
],
"temporalities": {
"key": {
"created_at": "2026-01-01T00:00:00Z",
"frequency": 0,
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"replicas": {
"key": [
{
"created_at": "2026-01-01T00:00:00Z",
"from": 0,
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"residency": "string",
"to": 0,
"updated_at": "2026-01-01T00:00:00Z"
}
]
},
"retention": 0,
"start_time": "2026-01-01T00:00:00Z",
"storage_tier": "string",
"store_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"updated_at": "2026-01-01T00:00:00Z"
}
},
"updated_at": "2026-01-01T00:00:00Z"
}Update an SLA template
/api/v1/account/organizations/{id}/slas/templates/{template_id}
This endpoint is deprecated.
Path parameters
-
idstring<uuid> requiredOrganization ID, at or below the caller’s. -
template_idstring required
Request body application/json required
-
data_classesarray[string] nullable -
drillsarray[object] nullable-
typestring
-
-
environmentstring nullable -
namestring nullable -
tagsarray[string] nullable -
temporalitiesmap[object] nullable-
created_atstring<date-time> -
frequencyinteger -
idstring<uuid> -
replicasmap[array[object]] nullable -
retentioninteger -
start_timestring<date-time> -
storage_tierstring nullable -
store_idstring<uuid> -
updated_atstring<date-time>
-
Response 200 OK application/json
-
created_atstring<date-time> -
data_classesarray[string] nullable -
drillsarray[object] nullable-
typestring
-
-
environmentstring -
idstring<uuid> -
namestring -
revisioninteger -
revision_maxinteger -
statusstring -
tagsarray[string] nullable -
temporalitiesmap[object] nullable-
created_atstring<date-time> -
frequencyinteger -
idstring<uuid> -
replicasmap[array[object]] nullable -
retentioninteger -
start_timestring<date-time> -
storage_tierstring nullable -
store_idstring<uuid> -
updated_atstring<date-time>
-
-
updated_atstring<date-time>
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl -X POST 'https://pcp.example.com/api/v1/account/organizations/{id}/slas/templates/{template_id}' \
-H 'Authorization: Bearer <badge>' \
-H 'Content-Type: application/json' \
-d '{
"data_classes": [
"string"
],
"drills": [
{
"type": "string"
}
],
"environment": "string",
"name": "string",
"tags": [
"string"
],
"temporalities": {
"key": {
"created_at": "2026-01-01T00:00:00Z",
"frequency": 0,
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"replicas": {
"key": [
{
"created_at": "2026-01-01T00:00:00Z",
"from": 0,
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"residency": "string",
"to": 0,
"updated_at": "2026-01-01T00:00:00Z"
}
]
},
"retention": 0,
"start_time": "2026-01-01T00:00:00Z",
"storage_tier": "string",
"store_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"updated_at": "2026-01-01T00:00:00Z"
}
}
}'Response 200
{
"created_at": "2026-01-01T00:00:00Z",
"data_classes": [
"string"
],
"drills": [
{
"type": "string"
}
],
"environment": "string",
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"name": "string",
"revision": 0,
"revision_max": 0,
"status": "string",
"tags": [
"string"
],
"temporalities": {
"key": {
"created_at": "2026-01-01T00:00:00Z",
"frequency": 0,
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"replicas": {
"key": [
{
"created_at": "2026-01-01T00:00:00Z",
"from": 0,
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"residency": "string",
"to": 0,
"updated_at": "2026-01-01T00:00:00Z"
}
]
},
"retention": 0,
"start_time": "2026-01-01T00:00:00Z",
"storage_tier": "string",
"store_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"updated_at": "2026-01-01T00:00:00Z"
}
},
"updated_at": "2026-01-01T00:00:00Z"
}Update an SLA template
/api/v1/account/organizations/{id}/slas/templates/{template_id}
Path parameters
-
idstring<uuid> requiredOrganization ID, at or below the caller’s. -
template_idstring required
Request body application/json required
-
data_classesarray[string] nullable -
drillsarray[object] nullable-
typestring
-
-
environmentstring nullable -
namestring nullable -
tagsarray[string] nullable -
temporalitiesmap[object] nullable-
created_atstring<date-time> -
frequencyinteger -
idstring<uuid> -
replicasmap[array[object]] nullable -
retentioninteger -
start_timestring<date-time> -
storage_tierstring nullable -
store_idstring<uuid> -
updated_atstring<date-time>
-
Response 200 OK application/json
-
created_atstring<date-time> -
data_classesarray[string] nullable -
drillsarray[object] nullable-
typestring
-
-
environmentstring -
idstring<uuid> -
namestring -
revisioninteger -
revision_maxinteger -
statusstring -
tagsarray[string] nullable -
temporalitiesmap[object] nullable-
created_atstring<date-time> -
frequencyinteger -
idstring<uuid> -
replicasmap[array[object]] nullable -
retentioninteger -
start_timestring<date-time> -
storage_tierstring nullable -
store_idstring<uuid> -
updated_atstring<date-time>
-
-
updated_atstring<date-time>
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl -X PATCH 'https://pcp.example.com/api/v1/account/organizations/{id}/slas/templates/{template_id}' \
-H 'Authorization: Bearer <badge>' \
-H 'Content-Type: application/json' \
-d '{
"data_classes": [
"string"
],
"drills": [
{
"type": "string"
}
],
"environment": "string",
"name": "string",
"tags": [
"string"
],
"temporalities": {
"key": {
"created_at": "2026-01-01T00:00:00Z",
"frequency": 0,
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"replicas": {
"key": [
{
"created_at": "2026-01-01T00:00:00Z",
"from": 0,
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"residency": "string",
"to": 0,
"updated_at": "2026-01-01T00:00:00Z"
}
]
},
"retention": 0,
"start_time": "2026-01-01T00:00:00Z",
"storage_tier": "string",
"store_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"updated_at": "2026-01-01T00:00:00Z"
}
}
}'Response 200
{
"created_at": "2026-01-01T00:00:00Z",
"data_classes": [
"string"
],
"drills": [
{
"type": "string"
}
],
"environment": "string",
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"name": "string",
"revision": 0,
"revision_max": 0,
"status": "string",
"tags": [
"string"
],
"temporalities": {
"key": {
"created_at": "2026-01-01T00:00:00Z",
"frequency": 0,
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"replicas": {
"key": [
{
"created_at": "2026-01-01T00:00:00Z",
"from": 0,
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"residency": "string",
"to": 0,
"updated_at": "2026-01-01T00:00:00Z"
}
]
},
"retention": 0,
"start_time": "2026-01-01T00:00:00Z",
"storage_tier": "string",
"store_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"updated_at": "2026-01-01T00:00:00Z"
}
},
"updated_at": "2026-01-01T00:00:00Z"
}Delete an SLA template
/api/v1/account/organizations/{id}/slas/templates/{template_id}
Path parameters
-
idstring<uuid> requiredOrganization ID, at or below the caller’s. -
template_idstring required
Response 200 OK application/json
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl -X DELETE 'https://pcp.example.com/api/v1/account/organizations/{id}/slas/templates/{template_id}' \
-H 'Authorization: Bearer <badge>'Response 200
{}